aboutsummaryrefslogtreecommitdiff
path: root/common/hooks/pre-pkg
diff options
context:
space:
mode:
authorEnno Boland <gottox@voidlinux.eu>2016-04-01 06:08:52 +0000
committerEnno Boland <gottox@voidlinux.eu>2016-04-01 06:08:52 +0000
commitc07e381f94c5b1ab08641fd2e4c2fe918064bb21 (patch)
treed20c2816b3a61e565a0d0a91e625ad85a16218d7 /common/hooks/pre-pkg
parent24537c74f1f642636666f990f923c9f84484d3b5 (diff)
downloadvoid-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar.gz
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar.bz2
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar.lz
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar.xz
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.tar.zst
void-packages-c07e381f94c5b1ab08641fd2e4c2fe918064bb21.zip
hooks/pre-pkg: fix "integer expression expected" error.
Diffstat (limited to 'common/hooks/pre-pkg')
-rw-r--r--common/hooks/pre-pkg/03-rewrite-python-shebang.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/common/hooks/pre-pkg/03-rewrite-python-shebang.sh b/common/hooks/pre-pkg/03-rewrite-python-shebang.sh
index b928ec3a393..c7384b4acda 100644
--- a/common/hooks/pre-pkg/03-rewrite-python-shebang.sh
+++ b/common/hooks/pre-pkg/03-rewrite-python-shebang.sh
@@ -26,7 +26,7 @@ hook() {
shebang="#!/usr/bin/python$pyver"
find ${PKGDESTDIR} -type f -print0 | \
xargs -0 grep -H -b -m 1 "^#!.*\([[:space:]]\|/\)python\([[:space:]]\|$\)" -- | while IFS=: read -r f off _; do
- [ "$off" -eq 0 ] || continue
+ [ "$off" -a "$off" -eq 0 ] || continue
if [ "$warn" ]; then
msg_warn "$pkgname: multiple python versions defined!"
msg_warn "$pkgname: using $pyver for shebang"